GHA RFC vs Selkirk · Premiership escocesa
Premiership escocesa · 2025-26Finalizado

20–14

Crónica
GHA RFC se impuso a Selkirk por 20-14 en Giffnock (Braidholm) el sábado, 13 de diciembre de 2025 (Premiership escocesa, jornada 13).
GHA RFC rompe una racha de dos derrotas. Selkirk encadena seis derrotas seguidas.
Texto generado automáticamente a partir de los datos del partido; se actualiza con los resultados.
Cara a cara
4
victorias de GHA RFC (67 %)
0
Empates (0 %)
2
victorias de Selkirk (33 %)
Últimos 6 enfrentamientos, desde octubre de 2021
Mayor victoria de GHA RFC
34–10
2 oct 2021
Mayor victoria de Selkirk
28–14
8 oct 2022
Últimos 5 enfrentamientos
- 13 dic 2025 · Premiership escocesaGHA RFC20Selkirk1413 dic 2025GHA RFC20–14SelkirkPremiership escocesa
- 13 sept 2025 · Premiership escocesaSelkirk36GHA RFC4013 sept 2025Selkirk36–40GHA RFCPremiership escocesa
- 7 ene 2023 · Premiership escocesaGHA RFC17Selkirk217 ene 2023GHA RFC17–21SelkirkPremiership escocesa
- 8 oct 2022 · Premiership escocesaSelkirk28GHA RFC148 oct 2022Selkirk28–14GHA RFCPremiership escocesa
- 5 mar 2022 · Premiership escocesaSelkirk24GHA RFC275 mar 2022Selkirk24–27GHA RFCPremiership escocesa